#include<iostream>
#include<vector>
#include<algorithm>
#define MAXN 100055
using namespace std;
int main()
{
    int n,res=0; cin>>n;
    vector<int> x(MAXN);
    vector<int> y(MAXN);
    vector<int> z(MAXN);
    for(int i = 1; i<=n; i++) cin>>x[i];
    for(int j = 1; j<=n; j++) cin>>y[j];
    for(int k = 1; k<=n; k++) cin>>z[k];
    for(int i = 1; i<=n; i++) {
        for(int j=1; j<=n; j++) {
            if(y[j]==x[i]) {
                for(int k=1; k<=n; k++) {
                    if(j==z[k]) res++;
                }
            }
        }
    }
    return 0;
}